Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.audit.spi
Class AuditorImpl

    java.lang.Object
      org.jivesoftware.openfire.audit.spi.AuditorImpl

All Implemented Interfaces:
  Auditor

    public class AuditorImpl

extends Object
implements Auditor

Constructor Summary
`AuditorImpl(AuditManager manager)`

Method Summary
`void` | `audit(org.xmpp.packet.Packet packet, Session session)` Audit an XMPP packet.
`int` | `getQueuedPacketsNumber()` Returns the number of queued packets that are still in memory and need to be saved to a permanent store.
`void` | `setLogDir(String logDir)`
`void` | `setLogTimeout(int logTimeout)`
`protected void` | `setMaxValues(int totalSize, int fileSize, int days)`
`void` | `stop()` Prepares the auditor for system shutdown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditorImpl

    public AuditorImpl(AuditManager manager)

Method Detail

### setMaxValues

    protected void setMaxValues(int totalSize,
                                int fileSize,
                                int days)

### setLogTimeout

    public void setLogTimeout(int logTimeout)

### setLogDir

    public void setLogDir(String logDir)

### getQueuedPacketsNumber

    public int getQueuedPacketsNumber()

  Description copied from interface: `Auditor`
  Returns the number of queued packets that are still in memory and need to be saved to a permanent store.

  Specified by:
    `getQueuedPacketsNumber` in interface `Auditor`
  Returns:
    the number of queued packets that are still in memory.

### audit

    public void audit(org.xmpp.packet.Packet packet,
                      Session session)

  Description copied from interface: `Auditor`
  Audit an XMPP packet.

  Specified by:
    `audit` in interface `Auditor`
  Parameters:
    `packet` - the packet being audited
    `session` - the session used for sending or receiving the packet

### stop

    public void stop()

  Description copied from interface: `Auditor`
  Prepares the auditor for system shutdown.

  Specified by:
    `stop` in interface `Auditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.